﻿using Microsoft.Extensions.Options;
using System;

namespace SlnMesnac.Config
{
    /// <summary>
    /// 系统配置
    /// </summary>
    public class AppConfig : IOptions<AppConfig>
    {
        /// <summary>
        /// 日志文件路径
        /// </summary>
        public string logPath { get; set; }

        /// <summary>
        /// MES 数据库连接字符串
        /// </summary>
        public string mesConnStr { get; set; }

        /// <summary>
        /// MCS 数据库连接字符串
        /// </summary>
        public string mcsConnStr { get; set; }

        public AppConfig Value => this;
    }
}
