﻿using SlnMesnac.Model.domain;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface IBaseUserService
    {
        /// <summary>
        /// 获取用户信息
        /// </summary>
        /// <returns></returns>
        List<BaseUser> GetUsers();

        /// <summary>
        /// 验证添加用户信息，有一个错误时进行回滚
        /// </summary>
        /// <param name="user"></param>
        /// <returns></returns>
        bool InsertUsers(List<BaseUser> users);
    }
}
