﻿using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Text;
using TouchSocket.Sockets;

namespace SlnMesnac.TouchSocket
{
    /// <summary>
    /// 注册服务
    /// </summary>
    public static class TouchSocketSetup
    {
        public static void AddTouchSocketSetup(this IServiceCollection services)
        {
            services.AddSingleton<TcpService>();//注册TouchSocket的服务
            services.AddSingleton<TcpServer>();
        }
    }
}
