﻿using Microsoft.Extensions.DependencyInjection;
using SlnMesnac.Common;
using SlnMesnac.Plc.Impl;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Plc
{
    public static class PlcSetup
    {
        public static void AddPlcSetup(this IServiceCollection services)
        {
            services.AddSingleton<InovancePlc>();
            services.AddSingleton<MelsecBinaryPlc>();
            services.AddSingleton<OmronNJPlc>();
            services.AddSingleton<SiemensPlc>();
            services.AddSingleton<PlcPool>();
        }
    }
}
